MagicalState (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.MagicalState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class MagicalState

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.dp.SimpleEmissionState
              org.biojava.bio.dp.MagicalState

All Implemented Interfaces:
  Serializable, Annotatable, EmissionState, State, Trainable, AtomicSymbol, BasisSymbol, Symbol, Changeable

    public final class MagicalState

extends SimpleEmissionState

Start/end state for HMMs.

All MagicalState objects emit over MAGICAL_ALPHABET, which only contains MAGICAL_STATE.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from class org.biojava.bio.dp.SimpleEmissionState
`annotationForwarder, distForwarder`

Fields inherited from interface org.biojava.bio.dp.EmissionState
`ADVANCE, DISTRIBUTION`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`static MagicalState` | `getMagicalState(Alphabet alphabet, int heads)`

Methods inherited from class org.biojava.bio.dp.SimpleEmissionState
`getAdvance, getAnnotation, getBases, getChangeSupport, getDistribution, getMatches, getName, getSymbols, getToken, registerWithTrainer, setAdvance, setAnnotation, setDistribution, setName`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getMagicalState

    public static MagicalState getMagicalState(Alphabet alphabet,
                                               int heads)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD